# Retrieve all non-Mastercard Cards
source: https://developer.mastercard.com/donations/documentation/use-cases/manage-nonma-micro-rndup-dntns/get-non-mcbrand-cards/index.md

## Overview {#overview}

Donors can set up a micro or round-up donation with enrolled non-Mastercard brand cards. The **Get All non-Mastercard Brand Cards** endpoint retrieves a list of all the PANs and card IDs of non-Mastercard cards registered in a program.

A successful request returns the `HTTP 200 Success` status code and a JSON response body with the card IDs and PANs of the non-Mastercard registered cards.

## Sequence Diagram {#sequence-diagram}

The following outlines the sequence of events:
Diagram retrieve-non-ma-cards

## Execution Steps {#execution-steps}

1. The issuer requests Mastercard Donate to obtain all the non-mastercard PAN details associated with a specific program and sends the *clientId* in the GET request.
2. The Mastercard Donate service calls the `GET /externals/setups/cards` endpoint to retrieve the details.
3. The Mastercard Donate service returns a list of non-mastercard registered PAN details including the *cardId and masked PAN*.

## Endpoint {#endpoint}


API Reference: `GET /externals/setups/cards`

## Endpoint Parameters {#endpoint-parameters}

For more details on the endpoint parameters, refer to the [Parameters to Retrieve all Non-Mastercard Brand cards](https://developer.mastercard.com/donations/documentation/parameters/manage-non-ma-trns-param/non_ma_card/index.md) section.

## Sample Request and Response {#sample-request-and-response}

For more details on the sample request and response, refer to the [Retrieve all Non-Mastercard Brand Cards Tutorial](https://developer.mastercard.com/donations/tutorial/donation-api-details/nonmacardbrandapi/index.md#get-donations) tutorial.
